Bug 440327 - RFE: anaconda could use /etc/fstab
RFE: anaconda could use /etc/fstab
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Martin Sivák
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2008-04-02 16:14 EDT by Michal Jaegermann
Modified: 2010-02-17 14:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-02-17 14:21:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2008-04-02 16:14:21 EDT
Description of problem:

Say that I am booting "rescue" and with filesystems mounted
"read-only".  Now I would like to have _some_ of these writable
too.  If I will try 

   mount -o rw,remount /mnt/sysimage/some/file/system

then I am greeted with

   warning: can't open /etc/fstab: No such file or directory

and the same if I will attempt a remount by a device name.

Yes, I know how to deal with the situation but 

   cd /etc && ln -s mtab fstab

helps as well.  It would be nice if anaconda could just provide
that link, if only in a "rescue" mode.  Really handy especially
if I have to explain somebody what to do while talking over a phone. :-)
Comment 1 Martin Sivák 2009-08-04 08:05:10 EDT
Will show in anaconda-12.7

Note You need to log in before you can comment on or make changes to this bug.